%if %{fedora} >= 23
%global jetty_version 8.1.17.v20150415
%else
%global jetty_version 8.1.14.v20131031
%endif

Name:          olingo-odata2
Version:       2.0.5
Release:       1%{?dist}
Summary:       Java library that implements the OData Protocol 2.0
License:       ASL 2.0
URL:           https://olingo.apache.org/
Source0:       http://www.apache.org/dist/olingo/odata2/rel-%{version}/%{name}-parent-%{version}-source-release.zip

BuildRequires: maven-local
BuildRequires: mvn(com.google.code.gson:gson)
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(javax.ws.rs:javax.ws.rs-api)
BuildRequires: mvn(org.apache:apache:pom:)
BuildRequires: mvn(org.apache:apache-jar-resource-bundle)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires: mvn(org.eclipse.persistence:eclipselink)
# BuildRequires: mvn(org.eclipse.persistence:javax.persistence)
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires: mvn(org.hsqldb:hsqldb)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)

%if 0
# olingo-odata2-testutil deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
# https://bugzilla.redhat.com/show_bug.cgi?id=1007206
BuildRequires: mvn(org.apache.cxf:cxf-rt-frontend-jaxrs)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.httpcomponents:httpcore)
BuildRequires: mvn(org.eclipse.jetty:jetty-server:%jetty_version)
BuildRequires: mvn(org.eclipse.jetty:jetty-servlet:%jetty_version)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(xmlunit:xmlunit)
%endif

BuildArch:     noarch

%description
Apache Olingo is a Java library that implements the
Open Data Protocol (OData) 2.0. Apache Olingo
serves client and server aspects of OData 2.0.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-parent-%{version}
find . -name "*.class" -delete
find . -name "*.jar" -print -delete

%pom_remove_plugin -r :cobertura-maven-plugin
%pom_remove_plugin -r :maven-deploy-plugin
%pom_remove_plugin -r :maven-source-plugin
%pom_remove_plugin -r :maven-eclipse-plugin
%pom_remove_plugin -r :maven-war-plugin

# 7.5.4.v20111024
%pom_xpath_set "pom:properties/pom:jetty.version" %jetty_version

%pom_disable_module odata2-dist
%pom_disable_module odata-testutil odata2-lib
# archetype
%pom_disable_module odata2-sample
# war
%pom_disable_module odata-web odata2-lib
%pom_disable_module annotation-processor-web odata2-annotation-processor
%pom_disable_module jpa-web odata2-jpa-processor

%pom_change_dep -r :servlet-api :javax.servlet-api:3.1.0
%pom_change_dep -r :log4j :log4j:1.2.17

# the version (2.0.5) of this artefact do not corrispond with the required apis
%pom_change_dep -r org.eclipse.persistence:javax.persistence org.hibernate.javax.persistence:hibernate-jpa-2.1-api:1.0.0.Draft-16

%build

# Unavailable test dep: odata-testutil
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Sat Oct 31 2015 gil cattaneo <puntogil@libero.it> 2.0.5-1
- initial rpm
